version: '3.4'
services:
  app:
    build:
      context: .
    volumes:
      - ./:/var/www/html
    container_name: laravel-scaffold
    hostname: laravel-scaffold
    ports:
      - 8080:80
    networks:
      - proxy

  api:
    build:
      context: ../api-interna
    container_name: api-interna-local
    hostname: api-interna-local
    volumes:
      - ../api-interna:/var/www/html
    networks:
      - proxy
    ports:
      - 8081:80

  #web:
  #  image: henriqueflaviodev/tcap-grc-proxy
  #  container_name: proxy
  #  hostname: proxy
  #  volumes:
  #    - ./docker/nginx/conf.d:/etc/nginx/conf.d
  #  ports:
  #    - 80:80
  #  networks:
  #    - proxy
  #  depends_on:
  #    - api
  #    - app

networks:
  proxy:
